=== debian/changelog ===
ironic-inspector (8.0.0-0ubuntu2) cosmic; urgency=medium

  * Additional support for Python 3:
    - d/control: Drop python(3)-ironic-inspector Conflicts on each other
      and drop Replaces.
    - d/python(3)-ironic-inspector.postinst: Ensure alternatives priority is
      300 for Py2 and 200 for Py3.
    - d/tests/control: Run Py3 tests first due to alternatives priority.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 15:10:31 -0400

ironic-inspector (8.0.0-0ubuntu1) cosmic; urgency=medium

  * d/watch: Scope to Rocky series.
  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/fix-path-to-rootwrap.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Aug 2018 14:33:58 -0400

ironic-inspector (7.3.0-0ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control, d/rules: Add Python 2.7 support and python-ironic-inspector
      package.
    - d/control: Support Python 2.7 first and Python 3.x as alternative.
      ironic-inspector depends on python-ironic-inspector by default and
      python3-ironic-inspector as alternative.
    - d/control: move all other python run-time dependencies to
      python(3)-ironic-inspector packages.
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/rules: Add Python 2.7 support.
    - d/rules: Install to package build directories rather than debian/tmp.
    - d/rules: Use pkgos-dh_auto_install instead of python setup.py install.
      This helps name binaries for update-alternatives.
    - d/python(3)-ironic-inspector.post*, d/python(3)-ironic-inspector.prerm:
      update-alternatives is used to enable correct shebangs for Python binaries.
    - d/python3-ironic-inspector.install: Dropped. Not needed.
    - d/tests/*: Add Python 2/3 autopkgtests for ironic-inspector daemons and
      shebangs.
    - d/watch: Get tarball from tarballs.openstack.org.
    - d/gbp.conf: Retain for gbp and pristine-tar config.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/fix-path-to-rootwrap.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 20 Jun 2018 12:53:36 -0400

ironic-inspector (7.2.0-4) unstable; urgency=medium

  * Add support for dbconfig-common and debconf setup of keystone_authtoken.
  * Also purge policy.json.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Mar 2018 15:44:38 +0200

ironic-inspector (7.2.0-3) unstable; urgency=medium

  [ Thomas Goirand ]
  * Fixed generation of python.json with --format json.
  * Add missing dh_install call (Closes: #893065).
  * Add dh_python3 --shebang=/usr/bin/python3.

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast

 -- Thomas Goirand <zigo@debian.org>  Tue, 06 Mar 2018 22:08:30 +0000

ironic-inspector (7.2.0-2) unstable; urgency=medium

  * Fixed debian/copyright holder list and years.
  * More Python3 fixes.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Feb 2018 17:00:04 +0000

ironic-inspector (7.2.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.
  * Rebase ironic-inspector-rootwrap path patch.
  * Update oslo-config-generator namespace list.
  * Switch package to Python 3.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Feb 2018 08:43:27 +0000

ironic-inspector (6.0.0-2) unstable; urgency=medium

  * Team upload.
  * Require newer version of python-construct (Closes: #882989)

 -- Ondřej Nový <onovy@debian.org>  Tue, 28 Nov 2017 15:59:29 +0100

ironic-inspector (6.0.0-1) unstable; urgency=medium

  * Updating vcs fields.
  * Updating copyright format url.
  * d/copyright: Changed source URL to https protocol.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Standards-Version: 4.1.1.
  * Deprecating priority extra as per policy 4.0.1.
  * New upstream release:
    - Can (again) be installed without crashing (Closes: #881598).
  * Fixed (build-)depends for this release.
  * Rebase patch.
  * Do not add python-pydot3 and python-construct as b-d, as that's for the doc
    and we won't package it.
  * Only run unit tests, not functional.
  * Now generating inspector.conf with oslo-config-generator.

 -- Thomas Goirand <zigo@debian.org>  Sat, 18 Nov 2017 11:29:54 +0100
