=== debian/tests/control ===
Tests: ironic-inspector-shebangs-py3
Depends: python3-ironic-inspector, ironic-inspector
Restrictions: needs-root

Tests: ironic-inspector-shebangs-py2
Depends: ironic-inspector
Restrictions: needs-root
