## ironic-inspector 8.2.2

=== debian/changelog ===
ironic-inspector (8.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed versions of packages when satisfied in Buster.
  * Rebased fix-path-to-rootwrap.patch.
  * Removed py3.7-fix-errno-has-moved.patch applied upstream.
  * Removed Eliminate_SQL_injection_vulnerability_in_node_cache.patch.
  * Removed python3- prefix when calling oslo config generators.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 16:20:02 +0200

ironic-inspector (8.0.0-3) unstable; urgency=high

  * CVE-2019-10141: SQL Injection vulnerability when receiving introspection
    data. Applied upstream fix: Eliminate SQL injection vulnerability in
    node_cache (Closes: #929332).

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 May 2019 09:20:30 +0200

ironic-inspector (8.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Sep 2018 20:53:42 +0200

ironic-inspector (8.0.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_test.
  * Refreshed fix-path-to-rootwrap.patch.
  * Add py3.7-fix-errno-has-moved.patch.
  * Add --namespace oslo.policy when generating inspector.conf.
  * Fixed postrm debconf template name (Closes: #904461).

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Aug 2018 14:19:09 +0200
