## ironic-inspector 9.0.0~b1~git2019031315.0d5bc4b

=== requirements.txt ===
--- 
+++ 
@@ -29,6 +29,7 @@
 oslo.policy>=1.30.0 # Apache-2.0
 oslo.rootwrap>=5.8.0 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
+oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
 retrying!=1.3.0,>=1.2.3 # Apache-2.0
 six>=1.10.0 # MIT
