=== debian/changelog ===
ironic-inspector (9.0.0~b1~git2019031315.0d5bc4b-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/fix-path-to-rootwrap.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Mar 2019 15:54:02 -0400

ironic-inspector (9.0.0~b1~git2018111913.e5d5bfa-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/control,rules,python*,d/tests/*: Drop Python 2 support.
  * d/rules: In line with upstream, ironic-inspector.filters is installed
    instead of ironic-inspector-firewall.filters.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 19 Nov 2018 13:09:02 -0500
