## ironic-inspector 9.2.0

=== debian/changelog ===
ironic-inspector (1:9.2.0-0ubuntu1) eoan; urgency=medium

  [ Sahid Orentino Ferdjaoui ]
  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

  [ James Page ]
  * d/watch: track all major release versions.
  * New upstream release for OpenStack Train.
  * Bump epoch due to mis-versioning of snapshots during development cycle.

 -- James Page <james.page@ubuntu.com>  Fri, 11 Oct 2019 10:02:26 +0100

ironic-inspector (10.0.0~b2~git2019073018.9a62401-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 30 Jul 2019 18:02:00 +0200

ironic-inspector (10.0.0~b1~git2019061815.43b32df-0ubuntu1) eoan; urgency=medium

  * New upstream release 10.0.0~b1.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Fix binary name to generate confile files.
  * d/rules: Fix binary name to generate policy sample.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Thu, 20 Jun 2019 05:13:09 +0100
