=== debian/control ===
--- 
+++ 
@@ -22,6 +22,7 @@
  python3-alembic (>= 0.8.10),
  python3-automaton (>= 1.9.0),
  python3-babel (>= 2.3.4),
+ python3-bandit (>= 1.1.0),
  python3-construct (>= 2.8.10),
  python3-coverage (>= 4.0),
  python3-doc8 (>= 0.6.0),
@@ -30,15 +31,16 @@
  python3-flask (>= 0.10),
  python3-futurist (>= 1.2.0),
  python3-hacking (>= 1.0.0),
- python3-ironic-lib (>= 2.5.0),
+ python3-ironic-lib (>= 2.17.0),
  python3-ironicclient (>= 2.3.0),
  python3-jsonpath-rw (>= 1.2.0),
  python3-jsonschema (>= 2.6.0),
  python3-keystoneauth1 (>= 3.4.0),
- python3-keystonemiddleware (>= 4.17.0),
- python3-mock (>= 2.0.0),
+ python3-keystonemiddleware (>= 4.18.0),
+ python3-mock (>= 3.0.0),
  python3-netaddr (>= 0.7.18),
- python3-openstackdocstheme (>= 1.18.1),
+ python3-openstackdocstheme (>= 1.20.0),
+ python3-openstacksdk (>= 0.30.0),
  python3-os-api-ref (>= 1.4.0),
  python3-os-testr (>= 1.0.0),
  python3-oslo.concurrency (>= 3.26.0),
@@ -55,6 +57,7 @@
  python3-oslo.service (>= 1.24.0),
  python3-oslo.utils (>= 3.33.0),
  python3-oslotest (>= 1:3.2.0),
+ python3-pymemcache (>= 1.2.9),
  python3-reno (>= 2.5.0),
  python3-retrying (>= 1.2.3),
  python3-six (>= 1.10.0),
@@ -65,6 +68,7 @@
  python3-testresources (>= 2.0.0),
  python3-testscenarios (>= 0.4),
  python3-tz (>= 2013.6),
+ python3-tooz (>= 1.64.0),
 Standards-Version: 4.1.3
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ironic-inspector
 Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ironic-inspector
@@ -104,12 +108,12 @@
  python3-eventlet (>= 0.18.2),
  python3-flask (>= 0.10),
  python3-futurist (>= 1.2.0),
- python3-ironic-lib (>= 2.5.0),
+ python3-ironic-lib (>= 2.17.0),
  python3-ironicclient (>= 2.3.0),
  python3-jsonpath-rw (>= 1.2.0),
  python3-jsonschema (>= 2.6.0),
  python3-keystoneauth1 (>= 3.4.0),
- python3-keystonemiddleware (>= 4.17.0),
+ python3-keystonemiddleware (>= 4.18.0),
  python3-netaddr (>= 0.7.18),
  python3-openstackclient,
  python3-oslo.concurrency (>= 3.26.0),
