## ironic-inspector 10.0.0

=== requirements.txt ===
--- 
+++ 
@@ -8,20 +8,20 @@
 eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
 Flask!=0.11,>=0.10 # BSD
 futurist>=1.2.0 # Apache-2.0
-ironic-lib>=2.5.0 # Apache-2.0
+ironic-lib>=2.17.0 # Apache-2.0
 jsonpath-rw<2.0,>=1.2.0 # Apache-2.0
-jsonschema<3.0.0,>=2.6.0 # MIT
-keystoneauth1>=3.4.0 # Apache-2.0
-keystonemiddleware>=4.17.0 # Apache-2.0
+jsonschema>=2.6.0 # MIT
+keystoneauth1>=3.14.0 # Apache-2.0
+keystonemiddleware>=4.18.0 # Apache-2.0
 netaddr>=0.7.18 # BSD
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
-python-ironicclient>=2.3.0 # Apache-2.0
-python-swiftclient>=3.2.0 # Apache-2.0
+python-ironicclient!=2.5.2,!=2.7.1,!=3.0.0,>=2.3.0 # Apache-2.0
 pytz>=2013.6 # MIT
+openstacksdk>=0.30.0 # Apache-2.0
 oslo.concurrency>=3.26.0 # Apache-2.0
 oslo.config>=5.2.0 # Apache-2.0
 oslo.context>=2.19.2 # Apache-2.0
-oslo.db>=4.27.0 # Apache-2.0
+oslo.db>=4.40.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
 oslo.messaging>=5.32.0 # Apache-2.0
@@ -32,6 +32,6 @@
 oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
 retrying!=1.3.0,>=1.2.3 # Apache-2.0
-six>=1.10.0 # MIT
 stevedore>=1.20.0 # Apache-2.0
 SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
+tooz>=1.64.0 # Apache-2.0
