=== debian/control ===
--- 
+++ 
@@ -35,7 +35,7 @@
  python3-ironicclient (>= 2.3.0),
  python3-jsonpath-rw (>= 1.2.0),
  python3-jsonschema (>= 2.6.0),
- python3-keystoneauth1 (>= 3.4.0),
+ python3-keystoneauth1 (>= 3.14.0),
  python3-keystonemiddleware (>= 4.18.0),
  python3-mock (>= 3.0.0),
  python3-netaddr (>= 0.7.18),
@@ -46,7 +46,7 @@
  python3-oslo.concurrency (>= 3.26.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.context (>= 1:2.19.2),
- python3-oslo.db (>= 4.27.0),
+ python3-oslo.db (>= 4.40.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
  python3-oslo.messaging (>= 5.32.0),
@@ -61,6 +61,7 @@
  python3-reno (>= 2.5.0),
  python3-retrying (>= 1.2.3),
  python3-six (>= 1.10.0),
+ python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
  python3-sqlalchemy (>= 1.0.10),
  python3-stestr (>= 1.0.0),
  python3-stevedore (>= 1:1.20.0),
@@ -112,14 +113,15 @@
  python3-ironicclient (>= 2.3.0),
  python3-jsonpath-rw (>= 1.2.0),
  python3-jsonschema (>= 2.6.0),
- python3-keystoneauth1 (>= 3.4.0),
+ python3-keystoneauth1 (>= 3.14.0),
  python3-keystonemiddleware (>= 4.18.0),
  python3-netaddr (>= 0.7.18),
  python3-openstackclient,
+ python3-openstacksdk (>= 0.30.0),
  python3-oslo.concurrency (>= 3.26.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.context (>= 1:2.19.2),
- python3-oslo.db (>= 4.27.0),
+ python3-oslo.db (>= 4.40.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
  python3-oslo.messaging (>= 5.32.0),
@@ -135,6 +137,7 @@
  python3-sqlalchemy (>= 1.0.10),
  python3-stevedore (>= 1:1.20.0),
  python3-swiftclient (>= 1:3.2.0),
+ python3-tooz (>= 1.64.0),
  python3-tz (>= 2013.6),
  ${misc:Depends},
  ${python3:Depends},
