## ironic-inspector 10.0.1~git2020041316.14b425e

=== requirements.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Babel!=2.4.0,>=2.3.4 # BSD
 construct<2.9,>=2.8.10 # MIT
 eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
-Flask!=0.11,>=0.10 # BSD
+Flask>=1.0 # BSD
 futurist>=1.2.0 # Apache-2.0
 ironic-lib>=2.17.0 # Apache-2.0
 jsonpath-rw<2.0,>=1.2.0 # Apache-2.0
@@ -15,9 +15,8 @@
 keystonemiddleware>=4.18.0 # Apache-2.0
 netaddr>=0.7.18 # BSD
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
-python-ironicclient!=2.5.2,!=2.7.1,!=3.0.0,>=2.3.0 # Apache-2.0
 pytz>=2013.6 # MIT
-openstacksdk>=0.30.0 # Apache-2.0
+openstacksdk>=0.40.0 # Apache-2.0
 oslo.concurrency>=3.26.0 # Apache-2.0
 oslo.config>=5.2.0 # Apache-2.0
 oslo.context>=2.19.2 # Apache-2.0
