=== debian/changelog ===
ironic-inspector (1:10.0.1~git2020041316.14b425e-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Drop remaining py2 dependencies.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 13 Apr 2020 16:14:20 -0400

ironic-inspector (1:10.0.1~git2020032711.4eefb42-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/ironic-inspector-common.postinst: Set default ownership and permissions for
    /etc/<pkg>, /var/lib/<pkg>, and /var/log/<pkg> (LP: #1859422).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 27 Mar 2020 11:29:18 -0400
