=== debian/control ===
--- 
+++ 
@@ -10,9 +10,6 @@
  dh-python,
  openstack-pkg-tools (>= 85ubuntu3~),
  po-debconf,
- python-all,
- python-pbr (>= 2.0.0),
- python-setuptools,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
@@ -28,7 +25,7 @@
  python3-doc8 (>= 0.6.0),
  python3-eventlet (>= 0.18.2),
  python3-fixtures (>= 3.0.0),
- python3-flask (>= 0.10),
+ python3-flask (>= 1.0),
  python3-futurist (>= 1.2.0),
  python3-hacking (>= 1.0.0),
  python3-ironic-lib (>= 2.17.0),
@@ -40,7 +37,7 @@
  python3-mock (>= 3.0.0),
  python3-netaddr (>= 0.7.18),
  python3-openstackdocstheme (>= 1.20.0),
- python3-openstacksdk (>= 0.30.0),
+ python3-openstacksdk (>= 0.40.0),
  python3-os-api-ref (>= 1.4.0),
  python3-os-testr (>= 1.0.0),
  python3-oslo.concurrency (>= 3.26.0),
@@ -107,7 +104,7 @@
  python3-babel (>= 2.3.4),
  python3-construct (>= 2.8.10),
  python3-eventlet (>= 0.18.2),
- python3-flask (>= 0.10),
+ python3-flask (>= 1.0),
  python3-futurist (>= 1.2.0),
  python3-ironic-lib (>= 2.17.0),
  python3-ironicclient (>= 2.3.0),
@@ -117,7 +114,7 @@
  python3-keystonemiddleware (>= 4.18.0),
  python3-netaddr (>= 0.7.18),
  python3-openstackclient,
- python3-openstacksdk (>= 0.30.0),
+ python3-openstacksdk (>= 0.40.0),
  python3-oslo.concurrency (>= 3.26.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.context (>= 1:2.19.2),
