## ironic-inspector 10.1.0

=== requirements.txt ===
--- 
+++ 
@@ -3,7 +3,6 @@
 # process, which may cause wedges in the gate later.
 automaton>=1.9.0 # Apache-2.0
 alembic>=0.8.10 # MIT
-Babel!=2.4.0,>=2.3.4 # BSD
 construct<2.9,>=2.8.10 # MIT
 eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
 Flask>=1.0 # BSD
